#ifndef _clip_h_
#define _clip_h_

#include <windows.h>
#include <math.h>
#include <GL\gl.h>
#include <GL\glu.h>

class C_Clip
{
public:
		void GetModelViewMatrix();
		void GetProjectionMatrix();
		void GetClippingMatrix();
		void GetSideInVolume();
		void NormilizeSideInVolume();
		void SortArray(int count);
		bool PointInVolume(float v[3]);
		bool PolygonInVolume(float v1[3], float v2[3], float v3[3]);
		bool BBOXinVolume(float min_X, float min_Y, float min_Z, float max_X, float max_Y, float max_Z);
		C_Clip();
		~C_Clip();
public:
		float m_model[4][4];
		float m_proj[4][4];
		float m_clip[4][4];
		float frustum[6][4];
		int f_count;
};
#endif _clip_h_
