#ifndef _opengl_h_
#define _opengl_h_

#include <windows.h>
#include <GL\gl.h>
#include <GL\glu.h>

class COpenGL
{
public:
	HDC	hDC;
	HGLRC hRC;
public:
	BOOL SetupPixelFormat();
	void InitGL(HWND hwnd);
	void DeInitGL(HWND hwnd);
	void InitViewPort(int w, int h);
	void InitLight(void);
	void SetVideomodeWnd(int HORZ_RES, int VERT_RES, int bpp);
	void ResetVideoMode(void);
	void UpDateScene(void);
	COpenGL();
	~COpenGL();
};

#endif _opengl_h_