#ifndef _texture_h_
#define _texture_h_


#include "jpeglib.h"

#include <windows.h>
#include <GL\gl.h>
#include <GL\glu.h>
#include <SYS\Stat.h>
#include <stdio.h>
#include <io.h>
#include <Fcntl.h>



class CTexture
{
public:
			GLubyte			*ImageDATA;
			tImageJPG *pImage;
			FILE			*pFile;
			unsigned int	bpp;
			unsigned int	width;
			unsigned int	height;
			unsigned int	texID;
			int				levels;
			int				texTYPE;

		    int         numComponents;
		    int         format;
			bool        mipmapped;
			bool        compressed;



public:		bool LoadTGA			(char *filename);

			bool Read_BMP_RGB(char* filename);

			void DecodeJPG(jpeg_decompress_struct* cinfo);
			bool LoadJPG(char *filename);

			bool Upload ( int target, bool mipmap );
			void SetTexture			(void);
			void DeleteTexture		(void);
			void BuildTexture(bool wrap);
			CTexture();
			CTexture  ( int theWidth, int theHeight, int theNumComponents );
			bool   saveScreenShot ( const char * fileName );
			int SaveTGA(char *name,int width,int height);
			virtual ~CTexture();
			 

	bool LoadTexture(LPSTR strFileName);
	unsigned createNormalMapFromHeightMap ( bool mipmap, char * fileName, float scale );

};
#endif _texture_h_
