#ifndef _CAMERA2_H
#define _CAMERA2_H

#include "vector2.h"


class C_Camera2
{
public:
		void SetCameraPos(float X, float Y, float Z);
		void SetCameraAngle(float AngleX, float AngleY, float AngleZ);
		void SetCameraSpeed();
		void SetCameraFps(HWND hwnd, int count);
		void RotateCamera(float angleX, float angleY, float angleZ);
		void CheckCameraAngle(void);
		void MoveCamera (float speed);
		void StrafeCamera (float speed);
		void UpdateCamera	(void);
		void ResetCamera();
		void CheckMouse();
		void CheckKeyboard(void);
		C_Camera2();
		~C_Camera2(); 
public:	float position[3];
		float angle[3];
		float speed;
		float radius;
		bool LinearMoveFlag;
		bool L_But_Pressed;		
		bool R_But_Pressed;	
		bool keys[256];
};

#endif _CAMERA2_H