uniform sampler2D Base;

varying vec2 texCoord;

void main(){
	vec4 base = texture2D(Base, texCoord);
	vec4 grayScaleWeights = vec4(0.30, 0.59, 0.11, 1.0);

   	vec4 scaledColor = base * grayScaleWeights;
    	float luminance = base.r + base.g + base.b;
	  gl_FragColor = vec4( luminance, luminance, luminance, base.a );
}
